%global		pre_srctag		-beta2
%global		pre_release		.beta2

Name:		qca-pkcs11
Version:	2.0.0
Release:	0.9%{?dist}%{pre_release}
Summary:	Smartcard integration for QCA

Group:		System Environment/Libraries
License:	LGPLv2+
URL:		http://delta.affinix.com/qca/
Source0:	http://delta.affinix.com/download/qca/2.0/plugins/%{name}-%{version}%{pre_srctag}.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}%{pre_release}-XXXXXX)
Patch0:		qca-pkcs11.cpp.vsnprintf.patch

BuildRequires: qt4-devel, qca2-devel, pkcs11-helper-devel
Requires:	pkcs11-helper >= 1.02
%{?_qt4_version:
Requires:	qt4%{?_isa} >= %{_qt4_version}
}


%description
qca-pkcs11 enables QCA smartcard integration.
The following features are supported:
 - Multiple providers.
 - Multiple tokens.
 - Private key signature and decryption.
 - Keystore objects serialization.
 - Keystore update notifications.
 - Asker integration for token and PIN.


%prep
%setup -q -n %{name}-%{version}%{pre_srctag}
# patch0 needed to fix compile error:
# qca-pkcs11.cpp:3044:2: error: '::vsnprintf' has not been declared
%patch0 -p0


%build
./configure \
	--plugins-path=%{_qt4_plugindir} \
	--no-separate-debug-info
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_qt4_plugindir}/crypto/libqca-pkcs11.so


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.9.beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 2.0.0-0.8.beta2
- Rebuilt for GCC 5 C++11 ABI change

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.7.beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.6.beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.5.beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.4.beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.3.beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.2.beta2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 05 2011 Juha Tuomala <tuju@iki.fi> - 2.0.0-0.1.beta2
- Initial package.
